import request from '@/utils/request'

// 查询人员列表
export function listStaff(query) {
  return request({
    url: '/app/staff/list',
    method: 'get',
    params: query
  })
}

// 查询人员详细
export function getStaff(id) {
  return request({
    url: '/app/staff/' + id,
    method: 'get'
  })
}

// 新增人员
export function addStaff(data) {
  return request({
    url: '/app/staff',
    method: 'post',
    data: data
  })
}

// 修改人员
export function updateStaff(data) {
  return request({
    url: '/app/staff',
    method: 'put',
    data: data
  })
}

// 删除人员
export function delStaff(id) {
  return request({
    url: '/app/staff/' + id,
    method: 'delete'
  })
}

// 查询全部人员列表
export function listAllStaff(query) {
  return request({
    url: '/app/staff/optionselect',
    method: 'get',
    params: query
  })
}
